#!/bin/sh

#OPENCV_INCLUDES=/usr/include/opencv
OPENCV_INCLUDES=./opencv/include 
OPENCVLINK="-L./opencv -Wl,-rpath=./opencv ./opencv/libopencv_highgui.so.3.1.0 ./opencv/libopencv_imgproc.so.3.1.0 ./opencv/libopencv_video.so.3.1.0 ./opencv/libopencv_core.so.3.1.0 ./opencv/libopencv_videoio.so.3.1.0  ./opencv/libopencv_imgcodecs.so.3.1.0"
TRAX_INCLUDES=../vot-toolkit/native/trax/include
TRAX_LIBRARY=../vot-toolkit/native/trax




#debug
#CFLAGS=-g -O0 -DTESTING
#release
CFLAGS=-O3

#object files
g++ -c -o cvutils.o cvutils.cpp $CFLAGS -fPIC -I$OPENCV_INCLUDES
g++ -c -o TrackerState.o TrackerState.cpp $CFLAGS -fPIC -I$OPENCV_INCLUDES
g++ -c -o corrs.o corrs.cpp $CFLAGS -fPIC -I$OPENCV_INCLUDES
g++ -c -o geometry.o geometry.cpp $CFLAGS -fPIC -I$OPENCV_INCLUDES
g++ -c -o algebra.o algebra.cpp $CFLAGS -fPIC -I$OPENCV_INCLUDES
g++ -c -o ransacTools.o ransacTools.cpp $CFLAGS -fPIC -I$OPENCV_INCLUDES
g++ -c -o ransac.o ransac.cpp $CFLAGS -fPIC -I$OPENCV_INCLUDES
g++ -c -o intersection.o intersection.cpp $CFLAGS -fPIC -I$OPENCV_INCLUDES
g++ -c -o LTFLO.o LTFLO.cpp $CFLAGS -fPIC -I$OPENCV_INCLUDES
g++ -c -o ./ccmath/ccmath.o ./ccmath/ccmath.cpp $CFLAGS -fPIC

#libraries
ar rcs libccm.a ./ccmath/ccmath.o
ar rcs libltflo.a LTFLO.o cvutils.o TrackerState.o corrs.o geometry.o algebra.o ransacTools.o ransac.o intersection.o

#exe
g++ -o ltflo main.cpp $CFLAGS -I$OPENCV_INCLUDES -I$TRAX_INCLUDES -L$TRAX_LIBRARY -ltraxstatic -lltflo  -lccm -L. $OPENCVLINK




